<?php

namespace App\Classes\Modules\Documents\Standards\Validators;

use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\Documents\DataTransferObjects\FileObject;

class FileValidation extends AbstractValidation
{
    /**
     * @param FileObject $object
     * @return array
     */
    protected function data($object): array 
    {
        return [
            'document_id' => $object->getDocumentId(),
            'file' => $object->getFile(),
            'file_type' => $object->getFileType()
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array 
    {
        return [
            'document_id' => 'required',
            'file' => 'required',
            'file_type' => 'required'
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array 
    {
        return [];
    }
}